Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005523opensim[REGION] OpenSim Corepublic2011-06-06 09:322012-04-15 15:45
Reporterslow putzo 
Assigned Tokcozens 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0005523: Group "open enrollment" function not working
DescriptionIf a group is created without allowing "open enrollment" then after it is created "open enrollment" can not be changed. The only way to get a group to be "open enrollment" is to create it that way.

When I say it does not work, by checking "open enrollment" The "join" button does not show up for avatars who want to join the group.
Additional InformationImprudence 1.3.1 (Feb 24 2011 23:46:21)
Release Notes

Grid: (osgrid)

Built with MSVC version 1400

You are at 2573869.4, 2556482.6, 22.2 in Sanctuary located at cpe-173-170-147-227.tampabay.res.rr.com (173.170.147.227:9137)
OpenSim 0.7.2 Dev OSgrid 0.7.2 (Dev) 2a12d14: 2011-06-02 (Unix/Mono)
TagsNo tags attached.
Git Revision or version numberOSgrid 0.7.2 (Dev) 2a12d14: 2011-06-02
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
EnvironmentMono / Linux64
Mono Version2.6.3
ViewerImprudence 1.3.1 (Feb 24
Attached Files

- Relationships

-  Notes
(0021004)
kcozens (administrator)
2012-02-28 18:51

I just tested this in current git master and there was no problem. The group enrollment flag updated properly. Are you still having the problem? If so, check whether your xmlrpc files are up to date.
(0021006)
slow putzo (reporter)
2012-02-29 05:59

I also verifed this bug has been fixed in the current code version.

Tested on 2012-02-28 using existing group originally set up as closed enrollment. I changed it to open enrollment and it did change so anyone could join the group. The group I tested with was the exact same group I used when I discovered this bug as I never deleted that group.

- Issue History
Date Modified Username Field Change
2011-06-06 09:32 slow putzo New Issue
2011-06-06 09:32 slow putzo Git Revision => OSgrid 0.7.2 (Dev) 2a12d14: 2011-06-02
2011-06-06 09:32 slow putzo SVN Revision => 0
2011-06-06 09:32 slow putzo Run Mode => Grid (Multiple Regions per Sim)
2011-06-06 09:32 slow putzo Physics Engine => ODE
2011-06-06 09:32 slow putzo Environment => Mono / Linux64
2011-06-06 09:32 slow putzo Mono Version => 2.6.3
2011-06-06 09:32 slow putzo Viewer => Imprudence 1.3.1 (Feb 24
2011-06-06 09:45 slow putzo Description Updated
2012-02-28 18:51 kcozens Note Added: 0021004
2012-02-28 18:51 kcozens Assigned To => kcozens
2012-02-28 18:51 kcozens Status new => feedback
2012-02-29 05:59 slow putzo Note Added: 0021006
2012-02-29 05:59 slow putzo Status feedback => assigned
2012-02-29 05:59 slow putzo Status assigned => resolved
2012-02-29 05:59 slow putzo Fixed in Version => master (dev code)
2012-02-29 05:59 slow putzo Resolution open => fixed
2012-04-15 15:45 slow putzo Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker